# TdApi.CheckChangePhoneNumberCode

Package it.ernytech.tdlib

## Class TdApi.CheckChangePhoneNumberCode

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CheckChangePhoneNumberCode

Enclosing class:
  TdApi

    public static class TdApi.CheckChangePhoneNumberCode
    extends TdApi.Function

Checks the authentication code sent to confirm a new phone number of the user.

Returns `Ok`

### Field Summary

Fields
`java.lang.String` `code` Verification code received by SMS, phone call or flash call.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`CheckChangePhoneNumberCode()` Default constructor.
`CheckChangePhoneNumberCode​(java.lang.String code)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### code

    public java.lang.String code

Verification code received by SMS, phone call or flash call.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CheckChangePhoneNumberCode

    public CheckChangePhoneNumberCode()

Default constructor.

#### CheckChangePhoneNumberCode

    public CheckChangePhoneNumberCode​(java.lang.String code)

Constructor for initialization of all fields.

Parameters:
  `code` - Verification code received by SMS, phone call or flash call.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR